> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uselemma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Undo monitor feedback

> Undoes a correction. Repeating undo returns the same row.



## OpenAPI

````yaml https://api.uselemma.ai/openapi.json post /projects/{project_id}/monitors/{monitor_id}/feedback/{feedback_id}/undo
openapi: 3.1.0
info:
  title: Lemma Platform API
  description: Lemma Platform HTTP API for AI observability and workspace operations.
  version: 0.1.0
servers:
  - url: https://api.uselemma.ai
    description: Lemma production API
security:
  - bearerAuth: []
paths:
  /projects/{project_id}/monitors/{monitor_id}/feedback/{feedback_id}/undo:
    post:
      tags:
        - Monitors
      summary: Undo monitor feedback
      description: Undoes a correction. Repeating undo returns the same row.
      operationId: undo_monitor_feedback
      parameters:
        - name: project_id
          in: path
          required: true
          description: Project ID.
          schema:
            type: string
        - name: monitor_id
          in: path
          required: true
          description: Monitor ID.
          schema:
            type: string
        - name: feedback_id
          in: path
          required: true
          description: Feedback ID.
          schema:
            type: string
      responses:
        '200':
          description: Undone correction
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  monitor_id:
                    type: string
                    format: uuid
                  trace_id:
                    type: string
                    format: uuid
                  verdict:
                    type: string
                    enum:
                      - exclude
                      - include
                  created_at:
                    type: string
                  undone_at:
                    type:
                      - string
                      - 'null'
                  summary:
                    type: string
                  timestamp:
                    type: string
                  reason:
                    type: string
                required:
                  - id
                  - monitor_id
                  - trace_id
                  - verdict
                  - created_at
                  - undone_at
                  - summary
                  - timestamp
                additionalProperties: false
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                required:
                  - detail
                additionalProperties: false
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                required:
                  - detail
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.